> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spotflow.one/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Banks

> Get details of all banks, their names and bank codes. Currently, this is for NGN and GHS only. For NGN currency, It also returns a metadata field where the NIBSS & NIP/CBNCode is seen for banks that have it.



## OpenAPI

````yaml openapi.json GET /transfers/banks/{currency}
openapi: 3.1.0
info:
  title: Spotflow
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - description: Production server
    url: https://api.spotflow.co/api/v1
security:
  - bearerAuth: []
paths:
  /transfers/banks/{currency}:
    get:
      description: Get details of all bulk transfer files you have uploaded.
      operationId: TransferBank
      parameters:
        - name: currency
          in: path
          required: true
          description: Currently we support NGN or GHS
          schema:
            type: string
      responses:
        '200':
          description: A JSON array of bank list objects.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    bankCode:
                      type: string
                      example: PB-56234
                    bankName:
                      type: string
                      example: Nombank
        '400':
          description: Not Found - No subscriptions found for the given plan ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error400'
        '401':
          description: Unauthorized - Invalid or missing authentication token.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionError401'
components:
  schemas:
    Error400:
      type: object
      properties:
        error:
          type: string
          example: Missing Parameter
        message:
          type: string
          example: missing_parameter
        status:
          type: integer
          format: float
          example: 400
    SubscriptionError401:
      type: object
      properties:
        code:
          type: string
          example: AUTH_ERROR
        message:
          type: string
          example: Authorization token is required.
        statusCode:
          type: integer
          format: float
          example: 401
        requestMarker:
          type: string
          format: uuid
      required:
        - status
        - statusCode
        - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````